# Xapian::Sorter Class Reference

Virtual base class for sorter functor. More...

`#include <sorter.h>`

Inheritance diagram for Xapian::Sorter:

[legend]
List of all members.

## Public Member Functions

virtual std::string | operator() (const Xapian::Document &doc) const=0
| This method takes a Document object and builds a sort key from it.
virtual | ~Sorter ()
| Virtual destructor, because we have virtual methods.

## Detailed Description

Virtual base class for sorter functor.

## Constructor & Destructor Documentation

virtual Xapian::Sorter::~Sorter | ( |  | ) | `[virtual]`

Virtual destructor, because we have virtual methods.

## Member Function Documentation

virtual std::string Xapian::Sorter::operator() | ( | const Xapian::Document & | doc | ) | const`[pure virtual]`

This method takes a Document object and builds a sort key from it.

Documents are then ordered by a string compare on the sort keys.

Implemented in Xapian::MultiValueSorter.

The documentation for this class was generated from the following file:

- include/xapian/sorter.h